## golang-github-foxboron-go-uefi 0.0~git20250207.69fb7db

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHRDIR ?= $(PREFIX)/share
DOCDIR ?= $(PREFIX)/share/doc
MANDIR ?= $(PREFIX)/share/man
MANS = $(basename $(wildcard docs/*.txt))

CGO_LDFLAGS := '$(LDFLAGS)'
CGO_CPPFLAGS := '$(CPPFLAGS)'
CGO_CFLAGS := '$(CFLAGS)'
GOFLAGS ?= -buildmode=pie -trimpath

SOURCES = $(shell go list -f '{{range .GoFiles}}{{$$.Dir}}/{{.}} {{end}}' ./...)

all: build
build: gosiglist

gosiglist: $(SOURCES)
	go build -o $@ ./cmd/$@/...

.PHONY: lint
lint:
	go vet ./...
	staticcheck ./...

## golang-github-foxboron-go-uefi 0.0~git20241219.19dc140

=== debian/changelog ===
golang-github-foxboron-go-uefi (0.0~git20241219.19dc140-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Feb 2025 21:41:36 +0100

golang-github-foxboron-go-uefi (0.0~git20241219.19dc140-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Finish packaging.  Closes: #1095271.

  [ Faidon Liambotis ]
  * Initial release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 06 Feb 2025 09:31:35 +0100

=== debian/control ===
Source: golang-github-foxboron-go-uefi
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Faidon Liambotis <paravoid@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-fullsailor-pkcs7-dev,
 golang-github-netflix-go-expect-dev,
 golang-github-pkg-errors-dev,
 golang-github-spf13-afero-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-foxboron-go-uefi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-foxboron-go-uefi.git
Homepage: https://github.com/foxboron/go-uefi
XS-Go-Import-Path: github.com/foxboron/go-uefi

Package: golang-github-foxboron-go-uefi-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-pkg-errors-dev,
 golang-github-spf13-afero-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 ${misc:Depends},
Description: Linux UEFI library written in pure Go (library)
 A UEFI library written to interact with Linux efivars. The goal is to
 provide a Go library to enable application authors to better utilize
 secure boot and UEFI. This also includes unit-testing to ensure the
 library is compatible with existing tools, and integration tests to
 ensure the library is able of deal with future UEFI revisions.
 .
 Features:
  * Implements most Secure Boot relevant structs as defined in UEFI Spec
    Version 2.8 Errata A (February 14th 2020).
  * PE/COFF Checksumming.
  * Microsoft Authenticode signing.
  * Working with EFI_SIGNATURE_LIST and EFI_SIGNATURE_DATABASE.
  * Integration tests utilizing vmtest (https://github.com/anatol/vmtest)
    and tianocore.
  * Virtual filesystem support for easier testing.

## golang-github-foxboron-go-uefi 0.0~git20250207.69fb7db

=== debian/changelog ===
golang-github-foxboron-go-uefi (0.0~git20250207.69fb7db-2) unstable; urgency=medium

  * Add B-D on openssl to fix FTBFS.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 19 Feb 2025 10:11:59 +0100

golang-github-foxboron-go-uefi (0.0~git20250207.69fb7db-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Remove myself from Uploaders

  [ Simon Josefsson ]
  * New upstream version 0.0~git20250207.69fb7db

 -- Simon Josefsson <simon@josefsson.org>  Tue, 18 Feb 2025 01:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
- Faidon Liambotis <paravoid@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Rules-Requires-Root: no
 Build-Depends:
@@ -17,6 +16,7 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
+ openssl,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-foxboron-go-uefi

=== debian/rules ===
#!/usr/bin/make -f

# * The binaries under cmd/ are examples. They cannot be built and are not
#   generally useful to downstreams.
export DH_GOLANG_EXCLUDES := cmd

export DH_GOLANG_INSTALL_EXTRA := tests/data

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# requires unpackaged github.com/hugelgpuf/vmtest
execute_before_dh_auto_test:
	rm -fv _build/src/github.com/foxboron/go-uefi/tests/integration_test.go
	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/enroll_keys/enroll_keys_test.go
	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/modify_dbx/modify_dbx_test.go
	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/remove_pk/remove_pk_test.go
	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/secure_boot_enabled/secure_boot_enabled_test.go

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/foxboron/go-uefi.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/foxboron/go-uefi/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-foxboron-go-uefi 0.0~git20251010.d29549a

=== debian/changelog ===
golang-github-foxboron-go-uefi (0.0~git20251010.d29549a-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Modernize Salsa CI
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Use watch v5
  * New upstream version 0.0~git20251010.d29549a
  * Skip tests that access Internet
  * Drop unused B-D's

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1121800)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 29 Dec 2025 19:30:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,10 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
- golang-github-fullsailor-pkcs7-dev,
- golang-github-netflix-go-expect-dev,
  golang-github-pkg-errors-dev,
  golang-github-spf13-afero-dev,
  golang-golang-x-crypto-dev,
@@ -18,7 +15,7 @@
  golang-golang-x-text-dev,
  openssl,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-foxboron-go-uefi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-foxboron-go-uefi.git
 Homepage: https://github.com/foxboron/go-uefi

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,17 @@
 	dh $@ --builddirectory=_build --buildsystem=golang
 
 # requires unpackaged github.com/hugelgpuf/vmtest
-execute_before_dh_auto_test:
+execute_after_dh_auto_build:
 	rm -fv _build/src/github.com/foxboron/go-uefi/tests/integration_test.go
 	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/enroll_keys/enroll_keys_test.go
 	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/modify_dbx/modify_dbx_test.go
 	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/remove_pk/remove_pk_test.go
 	rm -fv _build/src/github.com/foxboron/go-uefi/tests/tests/secure_boot_enabled/secure_boot_enabled_test.go
+
+# timestamp_test.go:166: Failed to get timestamp from http://timestamp.digicert.com: failed to request timestamp: failed to send timestamp request: Post "http://timestamp.digicert.com": dial tcp: lookup timestamp.digicert.com on [::1]:53: read udp [::1]:50035->[::1]:53: read: connection refused
+# --- FAIL: TestRealTimestampRequest (0.00s)
+# timestamp_test.go:209: Failed to sign with timestamp: failed to get timestamp for unauthenticated attributes: failed to request timestamp: failed to send timestamp request: Post "http://timestamp.digicert.com": dial tcp: lookup timestamp.digicert.com on [::1]:53: read udp [::1]:38300->[::1]:53: read: connection refused
+# --- FAIL: TestSignPKCS7WithTimestamp (0.61s)
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip="TestRealTimestampRequest|TestSignPKCS7WithTimestamp"
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run="TestRealTimestampRequest|TestSignPKCS7WithTimestamp"

=== debian/watch ===
Version: 5
Source: https://github.com/foxboron/go-uefi.git
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
